
#ifndef __COMMON_PORT_H
#define __COMMON_PORT_H

#include "HPCxx_String.h"
#include <hpcxx_rts.h>
#include "CommonObj.h"
#include "Constants.h"

class CommonPort {
private:
HPCxx_String hello;
public:
  CommonPort();
  HPCxx_String sayHello();  
  int setHello(HPCxx_String s);  
  CommonObj write(CommonObj to);
  static int registrationID()  { return COMMON_PORT_REGISTRATION_ID; }
  ~CommonPort();
  friend void hpcxx_pack(HPCxx_Buffer &buf, CommonPort *t,int count);
  friend void hpcxx_unpack(HPCxx_Buffer &buf, CommonPort *t,int count);
};
#endif // __COMMON_PORT_H
