# -*- Mode: makefile -*-
#
# Configuration for Solaris2.x ( x >= 5 )
#
# NOTE: use -mt for Solaris2.6 multiprocessors!!!

# compilers to use
C++C       = /opt/SUNWspro/bin/CC
CC         = /opt/SUNWspro/bin/cc
F77        = f77
LEX        = flex
YACC       = bison

# other compile/link helper programs
AR         = /usr/ccs/bin/ar
MAKE       = make
RANLIB     = touch        # ranlib is available but not needed
CPP        = /usr/ccs/lib/cpp
RM         = rm -f
RMRECURS   = rm -rf

# C++ flags
CPPFLAGS   = -g -instances=global #-O -pta -ptv
CPPDEFS    = -DSOLARIS
CPPHEADERS = /opt/SUNWspro/SC4.2/include/CC #/local/gnu/lib/g++-include
TEMPLINC   = 

# C++ template database directory
TMPLDB     = Templates.DB

# C compile and link flags
CFLAGS     = -O # -mt
CDEFS      = -DSOLARIS
LFLAGS     = -z muldefs #-ptr. -ptr$(LSAHOME)/lib/node -ptv -z muldefs # -mt

# C libraries
BLAS       = -lLSABlas
FLIBS      = -lF77 -lM77 -lsunmath
LIBS       = -lhpcxx_rts  -lglobus_toolkit -lglobus_duroc_bootstrap -lglobus_duroc_runtime -lglobus_gram_client -lglobus_gram_myjob -lglobus_nexus -lglobus_duct_runtime -lglobus_gss_assist -lglobus_gss -lglobus_dc -lglobus_common -lthread -lssl -lcrypto -lgen -lm -lldap -llber -lsocket -lnsl -ldl
THREADS    = -lthread

# C includes
INCS       =

# Fortran flags
FFLAGS     = -O
FDEFS      =

# Lex flags
LEXFLAGS   =

# Yacc flags
YACCFLAGS  = -d -y
