#include "Component.h"

int Component::registerOnce;

Component :: Component() {
  registerOnce = 0;
  if(!registerOnce)
    registerMethods();
  registerOnce++;
}

void Component :: registerMethods() {
  
  int FID102 = hpcxx_register(RMIRegistry<Component>::bindRegistry, 102);
  int FID101 = hpcxx_register(RMIRegistry<Component>::rebindRegistry, 101);
  int FID0 = hpcxx_register(Component::putBool, 200);
  int FID1 = hpcxx_register(Component::getBool, 201);
  int FID2 = hpcxx_register(Component::putByte, 202);
  int FID3 = hpcxx_register(Component::getByte, 203);
  int FID4 = hpcxx_register(Component::putShort, 204);
  int FID5 = hpcxx_register(Component::getShort, 205);
  int FID6 = hpcxx_register(Component::putInt, 206);
  int FID7 = hpcxx_register(Component::getInt, 207);
  int FID8 = hpcxx_register(Component::putLong, 208);
  int FID9 = hpcxx_register(Component::getLong, 209);
  int FID10 = hpcxx_register(Component::putChar, 210);
  int FID11 = hpcxx_register(Component::getChar, 211);
  int FID12 = hpcxx_register(Component::putFloat, 212);
  int FID13 = hpcxx_register(Component::getFloat, 213);
  int FID14 = hpcxx_register(Component::putDouble, 214);
  int FID15 = hpcxx_register(Component::getDouble, 215);
  int FID16 = hpcxx_register(Component::putString, 216);
  int FID17 = hpcxx_register(Component::getString, 217);
  int FID18 = hpcxx_register(Component::putClassObject, 218);
  int FID19 = hpcxx_register(Component::getClassObject, 219);
  int FID20 = hpcxx_register(Component::putObject, 220);
  int FID21 = hpcxx_register(Component::getObject, 221);
  int FID22 = hpcxx_register(Component::putBoolArray, 222);
  int FID23 = hpcxx_register(Component::getBoolArray, 223);
  int FID24 = hpcxx_register(Component::putByteArray, 224);
  int FID25 = hpcxx_register(Component::getByteArray, 225);
  int FID26 = hpcxx_register(Component::putShortArray, 226);
  int FID27 = hpcxx_register(Component::getShortArray, 227);
  int FID28 = hpcxx_register(Component::putIntArray, 228);
  int FID29 = hpcxx_register(Component::getIntArray, 229);
  int FID30 = hpcxx_register(Component::putLongArray, 230);
  int FID31 = hpcxx_register(Component::getLongArray, 231);
  int FID32 = hpcxx_register(Component::putCharArray, 232);
  int FID33 = hpcxx_register(Component::getCharArray, 233);
  int FID34 = hpcxx_register(Component::putFloatArray, 234);
  int FID35 = hpcxx_register(Component::getFloatArray, 235);
  int FID36 = hpcxx_register(Component::putDoubleArray, 236);
  int FID37 = hpcxx_register(Component::getDoubleArray, 237);
  int FID38 = hpcxx_register(Component::putStringArray, 238);
  int FID39 = hpcxx_register(Component::getStringArray, 239);
  int FID40 = hpcxx_register(Component::putObjectArray, 240);
  int FID41 = hpcxx_register(Component::getObjectArray, 241);
  int FID42 = hpcxx_register(Component::getInputPort, 242);
  int FID43 = hpcxx_register(Component::getCommonPort, 243);
  int FID44 = hpcxx_register(Component::sendRemoteReference, 244);
  int FID45 = hpcxx_register(InputPort::write, 245);
  int FID46 = hpcxx_register(InputPort::setHello, 246);
  int FID47 = hpcxx_register(InputPort::sayHello, 247);
  int FID48 = hpcxx_register(CommonPort::write, 248);
  int FID49 = hpcxx_register(CommonPort::setHello, 249);
  int FID50 = hpcxx_register(CommonPort::sayHello, 250);


  //register the class and its member functions(remote interface)

  printf ("Proxy-->in main(): registering class and its remote methods\n");
  fflush(stdout);

  int CID1 = hpcxx_registerClass((Component *) NULL);
  int CID2 = hpcxx_registerClass((InputPort *) NULL);
  int CID3 = hpcxx_registerClass((CommonPort *) NULL);
  int CID4 = hpcxx_registerClass((Class *) NULL);
  int CID5 = hpcxx_registerClass((RMIRegistry<Component> *) NULL);
  
}

int Component :: putBool(hpcxx_byte bType) {
  printf("\n Component :: putBool \t%d\n", (&bType)->byte);
  this->boolType = bType;
  // cout <<"Component :: putBool " << bType ;
  return SUCCESS;
}

hpcxx_byte Component :: getBool() {
  return this->boolType;
}

int Component :: putByte(hpcxx_byte bt) {
  printf("\n Component :: putByte \t%d\n", (&bt)->byte);
  this->byt = bt;
  byt.byte = bt.byte;
  //cout <<"Component :: putByte " << bt ;
  return SUCCESS;
}

hpcxx_byte  Component :: getByte () {
  return this->byt;

}
int Component ::  putShort(short sho) {
  printf("\n Component :: putShort \t%d\n", sho);
  this->sh = sho;
  return SUCCESS;
}

short Component :: getShort(){
  return this->sh;
}

int Component ::  putInt(int in) {
  printf("\n Component :: putInt \t%d\n", in);
  this->i = in;
  return SUCCESS;
}

int Component :: getInt(){
  return this->i;
}

int Component ::  putLong(long lon) {
  printf("\n Component :: putLong \t%d\n", lon);
  this->lo = lon;
  return SUCCESS;
}

long Component :: getLong(){
  return this->lo;
}

int Component ::  putChar(char cha) {
  printf("\n Component :: putChar \t%c\n", cha);
  this->ch = cha;
  return SUCCESS;
}

char Component :: getChar(){
  return this->ch;
}


int Component ::  putFloat(float flo) {
  printf("\n Component :: putFloat \t%le\n", flo);
  this->fl = flo;
  return SUCCESS;
}

float Component ::  getFloat() {
  return this->fl;
}

int Component :: putDouble(double doub) {
  printf("\n Component :: putDouble \t%le\n", doub);
  this->dou = doub;
  return SUCCESS;
}

double Component :: getDouble() {
  return this->dou;
}


int Component :: putString(HPCxx_String str) {
  this->st = str;
  cout << "\n Component:: putString: \t" << str;
  return SUCCESS;
}

HPCxx_String Component :: getString() {
  return this->st;
}

int Component ::  putClassObject(Class c) {
  this->classObject = c;
  cout << "\n Component: putClassObject \t "<<  classObject.getClassName() << endl;
  return SUCCESS;
}

Class Component :: getClassObject() {
  return this->classObject;
}

int Component :: putObject(TestObj to) {
  printf("\n Component::putObject(TestObj[int i = %d]) \n", to.getI());
  this->testObj = to;
  return SUCCESS;
}

TestObj Component :: getObject() {
  return this->testObj;
}

int Component :: putBoolArray(HPCxx_Array<booleanType> bArray) {
  printf("\n Component::putBoolArray \n");
  this->boolArray = bArray;
  bArray.displayArray();
  return SUCCESS;
}

HPCxx_Array<booleanType> Component :: getBoolArray() {
  return this->boolArray;
}

int Component :: putByteArray(HPCxx_Array<hpcxx_byte> bytArray) {
  printf("\n Component::putByteArray \n");
  this->byteArray = bytArray;
  bytArray.displayArray();
  return SUCCESS;
}

HPCxx_Array<hpcxx_byte> Component :: getByteArray() {
  return this->byteArray;
}


int Component :: putShortArray(HPCxx_Array<short> sArray) {
  printf("\n Component::putShortArray \n");
  this->shortArray = sArray;
  sArray.displayArray();
  return SUCCESS;
}


HPCxx_Array<short> Component :: getShortArray() {
  return this->shortArray;
}

int Component :: putIntArray(HPCxx_Array<int> iArray) {
  printf("\n Component::putIntArray \n");
  this->intArray = iArray;
  intArray.displayArray();
  return SUCCESS;
}

HPCxx_Array<int> Component :: getIntArray() {
  return this->intArray;
}

int Component :: putLongArray(HPCxx_Array<long> lArray) {
  printf("\n Component::putLongArray \n");
  this->longArray = lArray;
  longArray.displayArray();
  return SUCCESS;
}


HPCxx_Array<long> Component :: getLongArray() {
  return this->longArray;
}
int Component :: putCharArray(HPCxx_Array<char> cArray) {
  printf("\n Component::putCharArray \n");
  this->charArray = cArray;
  cArray.displayArray();
  return SUCCESS;
}


HPCxx_Array<char> Component :: getCharArray() {
  return this->charArray;
}

int Component :: putFloatArray(HPCxx_Array<float> fArray) {
  printf("\n Component::putFloatArray \n");
  this->floatArray = fArray;
  fArray.displayArray();
  return SUCCESS;
}

HPCxx_Array<float> Component :: getFloatArray() {
  return this->floatArray;
}

int Component :: putDoubleArray(HPCxx_Array<double> dArray) {
  printf("\n Component::putDoubleArray \n");
  this->doubleArray = dArray;
  dArray.displayArray();
  return SUCCESS;
}

HPCxx_Array<double> Component :: getDoubleArray() {
  return this->doubleArray;
}

int Component :: putStringArray(HPCxx_Array<HPCxx_String> stArray) {
  printf("\n Component::putStringArray \n");
  this->stringArray = stArray;
  stringArray.displayArray();
  return SUCCESS;
}

HPCxx_Array<HPCxx_String> Component :: getStringArray() {
  printf("\n Component :: getStringArray() \n");
  return this->stringArray;
}


int Component :: putObjectArray(HPCxx_Array<TestObj> toArray) {
  printf("\n Component::putObjectArray \n");
  this->testObjectArray = toArray;
  testObjectArray.displayArray();
  return SUCCESS;
}

HPCxx_Array<TestObj> Component :: getObjectArray() {
  printf("\n Component :: getObjectArray() \n");
  return this->testObjectArray;
}


MyHPCxx_GlobalPtr<InputPort> Component ::  getInputPort() {
  printf("\n Component :: getInputPort() \n");
  InputPort *inputPortLocal = new InputPort();
  MyHPCxx_GlobalPtr<InputPort> gpInputPort(inputPortLocal);
  gpInputPort.setFullyQualifiedFileName(HPCxx_String("rmitest.InputPort"));
  printf("\n Component :: getInputPort() returning InputPortGlobalPointer \n");
  return gpInputPort;
}

MyHPCxx_GlobalPtr<CommonPort> Component ::  getCommonPort() {
  printf("\n Component :: getCommonPort() \n");
  CommonPort *commonPortLocal = new CommonPort();
  MyHPCxx_GlobalPtr<CommonPort> gpCommonPort(commonPortLocal);
  gpCommonPort.setFullyQualifiedFileName(HPCxx_String("rmitest.CommonPort"));
  printf("\n Component :: getCommonPort() returning CommonPortGlobalPointer \n");
  return gpCommonPort;
}

int Component :: sendRemoteReference(HPCxx_GlobalPtr<InputPort> rem) {

  cout << "Component.C:;sendRemoteReference:: received remoteRef " << endl;

  //  HPCxx_GlobalRefImpl<InputPort> &r = *rem;
  //  HPCxx_ContextID *rsp = r.contextID_;

  int FID46 =  246;
  int FID47 =  247;
  int error ;

  cout << "Component.C::sendRemoteReference:: invoking inputPort.setHello()  on the Client" << endl ;
  //rem.setHello("Component.C:;setHello"); 

  HPCxx_String arg1("Component.C:;setHello"); 
  hpcxx_minvoke(&rem, error,FID46, arg1);
  cout << "Component.C::sendRemoteReference:: invoked inputPort.setHello()  on the client... returned with  -->\t " << error  <<endl; 

  cout << "Component.C::sendRemoteReference:: invoking inputPort.sayHello " << endl ;

  // HPCxx_String reply = rem.sayHello();
  HPCxx_String reply;
  hpcxx_minvoke(&rem, reply, FID47);
  cout << "Component.C::sendRemoteReference :: inputPort.sayHello: returned with-->\t  " << reply << endl;
  return SUCCESS;
}

Component :: ~Component() {
}


void hpcxx_pack(HPCxx_Buffer &buf, Component *t,int count) {
}

void hpcxx_unpack(HPCxx_Buffer &buf, Component *t,int count) {
}






