#include "HPCxx_String.h"
// #include "HPCxx_Func.h" // not needed with Globus
#include <hpcxx_rts.h>

HPCxx_String :: HPCxx_String(HPCxx_String &source) {
  len = source.len;
  value = source.value;
  rel = source.rel;
  source.rel = 0;
  //    cerr << "HPCxx_String: rel value being transferred\n";
}

HPCxx_String& HPCxx_String :: operator=(HPCxx_String &source) {
    len = source.len;
    value = source.value;
    rel = source.rel;
    source.rel = 0;
    //    cerr << "HPCxx_String: rel value being transferred\n";
    return *this;
  }


  HPCxx_String& HPCxx_String :: operator= (char *buf) {
    value  = new char[strlen(buf) + 1];
    strcpy(value, buf);
    len = strlen(buf);
    rel = 1;
    return *this;
  }

HPCxx_String :: ~HPCxx_String() {  
    
//     if (rel == 1) {
//       cerr << "deleting string value\n";
//       delete [] value; 
//   }
  }


ostream &operator<<(ostream  &output, HPCxx_String  &buffer) {
  output << buffer.value << " "  << endl;
  return output;
}

void hpcxx_pack(HPCxx_Buffer& b, HPCxx_String* s, int i) {
  for (int j = 0; j < i; j++) {
    hpcxx_byte *two = new hpcxx_byte();
    two->byte = 2;
    hpcxx_pack(b, two, 1);
    hpcxx_pack(b, &(s[j].len), 1);
    if (s[j].len > 0) {
      hpcxx_pack(b, s[j].value, s[j].len);
    }
  }
}

void hpcxx_unpack(HPCxx_Buffer& b, HPCxx_String* s, int i) {
  for (int j = 0; j < i; j++) {
    // NexusRMI packs in the following format
    // byte 2: indicates a final object
    // int length: indicates the number of characters that will follow
    // length of characters
    int l;
    hpcxx_byte *two = new hpcxx_byte();
    hpcxx_unpack(b, two, 1);
    hpcxx_unpack(b, &l, 1);
    s[j].len = l;
    if (l > 0) {
	 s[j].value = new char [l+1];
	 hpcxx_unpack(b, s[j].value, l);
	 s[j].value[l] = '\0';
	 //	 cerr << "HPCxx_String: rel value being set\n";
	 s[j].rel = 1;
    }
  }
}
 










