
#ifndef __INPUT_PORT_H
#define __INPUT_PORT_H

#include "HPCxx_String.h"
#include <hpcxx_rts.h>
#include "TestObj.h"
#include "Constants.h"

class InputPort {
private:
HPCxx_String hello;
public:
  InputPort();
  HPCxx_String sayHello();  
  TestObj write(TestObj to);
  int setHello(HPCxx_String s);
  static int registrationID()  { return INPUT_PORT_REGISTRATION_ID; }
  ~InputPort();
  friend void hpcxx_pack(HPCxx_Buffer &buf, InputPort *t,int count);
  friend void hpcxx_unpack(HPCxx_Buffer &buf, InputPort *t,int count);
};


#endif // __INPUT_PORT_H
