# -*- Mode: makefile -*-
#
# Top-level configuration for HPC++2NexusRMI
#

# shell to use for commands
SHELL  = /bin/sh

# -------------------- begin user-configurable stuff ---------------------

# platform architecture (e.g., aix, sol, sgi32, sgi64, or linux)
ARCH    = sol

# root directory of HPC++2NexusRMI
BASEDIR  = 

# location of JDK1.1.x installation
JDK     = /l/extreme/java/1.1.6

# top-level directory where _unzipped_ JDK1.1.x class files reside
UZCPATH = $(JDK)/class

# directory where GlobusNexus4.x is installed
GLOBUS  = /l/extreme/globus/development/sparc-sun-solaris2.6_solaristhreads_standard_debug

# directory where SSL is installed
SSL     = /nfs/rainier/Disk1/ssl

# directory where HPC++ is installed
HPCXX   = /nfs/rainier/u/btemko/HPC++/solaris


# -------------------- end of user-configurable stuff --------------------

# prefix location of config files
CONFIG = $(BASEDIR)/config/config

# allow running of any CAT tool from within any subdirectory
include $(CONFIG).run
