package rmitest;

import java.net.*;
import nexusrmi.*;
import nexusrmi.server.*;
import nexusrmi.registry.*;

public class CommonPort extends UnicastRemoteObject implements InputPortInterface {

  private String hello = "CommonPort::sayHello";
  private int SUCCESS = 7;

  public CommonPort() throws RemoteException     {
    super();
  }
  public Object write(Object o) throws RemoteException {
    int i;
    i = ((CommonObj)o).getI();
    System.out.println("CommonPort.java::read:TestObj.getI() -> " + i);
    CommonObj commonObj = new CommonObj(++i);
    return (Object)commonObj;
  }

   public int setHello(String s) {
    this.hello = s;
    return SUCCESS;
  }

  
  public String sayHello() throws RemoteException {
    return "CommonPort:Hello ";
  }

}
